Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233253 - CVE-2007-1560 Squid TRACE DoS
Summary: CVE-2007-1560 Squid TRACE DoS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: squid
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Martin Nagy
QA Contact:
URL:
Whiteboard: public=20070320,reported=20070321,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 09:09 UTC by Mark J. Cox
Modified: 2016-07-26 23:46 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0131
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-13 11:58:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0131 normal SHIPPED_LIVE Moderate: squid security update 2007-04-03 18:53:43 UTC

Description Mark J. Cox 2007-03-21 09:09:10 UTC
According to:
http://www.squid-cache.org/Advisories/SQUID-2007_1.txt

  "Due to an internal error Squid-2.6 is vulnerable to a denial
  of service attack when processing the TRACE request method."

See
    http://www.squid-cache.org/Versions/v2/2.6/changesets/11349.patch

This may only affect Squid 2.6 and therefore only RHEL5, will need confirmation

Comment 2 Josh Bressers 2007-03-21 15:22:27 UTC
I don't believe this is a security flaw.  I can send a request to the squid
server.  The child process does indeed die via an assertion error, but the
parent process start a new child to handle the new incoming requests.  I've
mailed upstream and vendor-sec to see if I'm mistaken.  I'll add a note if I'm
wrong.

Comment 4 Josh Bressers 2007-03-22 18:16:48 UTC
This is going to be considered a security flaw after all.  As was pointed out by
upstream, since there is only one child process, it would be possible for an
attacker to send the same request in a loop which would prevent other users from
using the proxy.

Since the server can recover, and the attacker must be behind the proxy, we are
labeling this as moderate severity.

Comment 5 Martin Bacovsky 2007-03-23 18:19:40 UTC
This issue should be fixed in squid-2.6.STABLE6-4.el5. Package was built and
tested. Waiting for advisory.

Comment 9 Red Hat Bugzilla 2007-04-03 18:53:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0131.html



Note You need to log in before you can comment on or make changes to this bug.